package com.zsc.edu.gateway.modules.iot.tsl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.tsl.dto.EventDto;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Event;
import com.zsc.edu.gateway.modules.iot.tsl.query.EventQuery;

/**
 * @author zhuang
 */
public interface EventService extends IService<Event> {
    Event create(EventDto dto);

    Event update(EventDto dto, Long id);

    Event detail(Long id);

    boolean delete(Long id);
}
